Commits

Author Commit Message Labels Comments Date
Thomas Waldmann
have a private _compat module to not depend on specific flask version
Thomas Waldmann
port to python 3.3 (also support 2.6 and 2.7), add 3.3 to tox
Thomas Waldmann
add tox configuration to test on py 2.6 and 2.7
Thomas Waldmann
remove Python 2.5 support
Thomas Waldmann
better increase version number due to bigger changes
Thomas Waldmann
always use "_themes/<THEMEID>/<TEMPLATENAME>" for listing/loading theme templates
Thomas Waldmann
rip out Module support (which has been deprecated in Flask for quite a while)
Thomas Waldmann
using 0.1.3.1 for this, so we can pull it using setup.py
Thomas Waldmann
trying to fix flask-themes' theme template loader for flask >= 0.8
Matthew Frazier
Added tag 0.1.3 for changeset b6ebd516c3e5
Matthew Frazier
documentation updates
Tags
0.1.3
Matthew Frazier
removed the force_module option
Matthew Frazier
added Flask 0.7 support
leafstorm
fixed simplejson dependency
leafstorm
fixed setup.py and MANIFEST.in
leafstorm
fixed with_statement testing bug
leafstorm
added tests and utilities to MANIFEST.in and setup.py
leafstorm
tagged release 0.1
leafstorm
added to README in prep for release
Tags
0.1
leafstorm
now context name can also determine active theme (this way it works for imports)
leafstorm
added the "plain" theme
leafstorm
updated the docs with more practical advice
leafstorm
added the first example theme, Calm Blue
leafstorm
now active theme is only determined by _theme
leafstorm
added theme creator script
leafstorm
added "Theme Sandbox" example app
leafstorm
fixed bug in "theme" global
leafstorm
forgot templates again
leafstorm
more tests
leafstorm
testing for the active theme
  1. Prev
  2. Next